gsm_04_12.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | gsm412_block_type
struct | gsm412_sched_msg

## Macros

#define | GSM412_MSG_LEN 88 /* TS 04.12 Section 3.1 */
#define | GSM412_BLOCK_LEN 22 /* TS 04.12 Section 3.1 */
#define | GSM412_SEQ_FST_BLOCK 0x0
#define | GSM412_SEQ_SND_BLOCK 0x1
#define | GSM412_SEQ_TRD_BLOCK 0x2
#define | GSM412_SEQ_FTH_BLOCK 0x3
#define | GSM412_SEQ_FST_SCHED_BLOCK 0x8
#define | GSM412_SEQ_NULL_MSG 0xf

## Functions

struct gsm412_block_type | __attribute__ ((packed))

## Variables

uint8_t | spare
uint8_t | lpd
uint8_t | lb
uint8_t | seq_nr
uint8_t | type
uint8_t | beg_slot_nr
uint8_t | spare2
uint8_t | spare1
uint8_t | end_slot_nr
uint8_t | cbsms_msg_map [6]
uint8_t | data [0]

## Detailed Description

GSM TS 04.12 definitions for Short Message Service Cell Broadcast.

## Macro Definition Documentation

## GSM412_BLOCK_LEN

#define GSM412_BLOCK_LEN 22 /* TS 04.12 Section 3.1 */

## GSM412_MSG_LEN

#define GSM412_MSG_LEN 88 /* TS 04.12 Section 3.1 */

## GSM412_SEQ_FST_BLOCK

#define GSM412_SEQ_FST_BLOCK 0x0

## GSM412_SEQ_FST_SCHED_BLOCK

#define GSM412_SEQ_FST_SCHED_BLOCK 0x8

## GSM412_SEQ_FTH_BLOCK

#define GSM412_SEQ_FTH_BLOCK 0x3

## GSM412_SEQ_NULL_MSG

#define GSM412_SEQ_NULL_MSG 0xf

## GSM412_SEQ_SND_BLOCK

#define GSM412_SEQ_SND_BLOCK 0x1

## GSM412_SEQ_TRD_BLOCK

#define GSM412_SEQ_TRD_BLOCK 0x2

## Function Documentation

## __attribute__()

struct gsm412_block_type __attribute__ | ( | (packed) |  | ) |

## Variable Documentation

## beg_slot_nr

uint8_t beg_slot_nr

## cbsms_msg_map

uint8_t cbsms_msg_map[6]

## data

uint8_t data[0]

## end_slot_nr

uint8_t end_slot_nr

## lb

uint8_t lb

## lpd

uint8_t lpd

## seq_nr

uint8_t seq_nr

## spare

uint8_t spare

## spare1

uint8_t spare1

## spare2

uint8_t spare2

## type

uint8_t type